use cgmath::Vector2;

use crate::triangle::Triangle;

pub struct Intersection {
    pub distance: f32,
    pub triangle: Triangle,
    pub barycentric: Vector2<f32>,
}

impl Intersection {
    pub fn new(distance: f32, triangle: Triangle, barycentric: Vector2<f32>) -> Intersection {
        Intersection {
            distance,
            triangle,
            barycentric,
        }
    }
}
